import { ViteBurnerInlineConfig } from '../types';
import { UserConfig } from 'vite';
/** TypeScript helper to define your config */
export declare function defineConfig(config: UserConfig): UserConfig;
export declare type Promisable<T> = T | Promise<T>;
export declare type Functionable<T> = T | (() => T);
export declare type ViteBurnerUserConfigInput = Functionable<Promisable<UserConfig>>;
export declare function loadConfig(inlineConfig: ViteBurnerInlineConfig): Promise<import('../types').ResolvedViteBurnerConfig>;
