import { SourceMap } from 'rollup';
export declare function getSourceMapString(map?: SourceMap | null): string;
export declare function writeFile(file: string, content: string): Promise<void>;
export declare function isScriptFile(filename: string): boolean;
/** Enforce starting slash */
export declare const forceStartingSlash: (s: string) => string;
/** Enforce starting slash if file is not in root dir */
export declare const fixStartingSlash: (s: string) => string;
/** Remove starting slash on download */
export declare const removeStartingSlash: (s: string) => string;
export declare const defaultUploadLocation: (file: string) => string;
